Table of Contents

## Name

im_image_sanity - check image descriptors for sanity

## Synopsis

#include <vips/vips.h>

int im_image_sanity( IMAGE *im )

## Description

im_image_sanity(3) performs a few simple checks on the IMAGE for bad fields. If it finds a problem, it returns -1, serts im_errorstring, and prints a warning message.

It is called from various places within VIPS to try to catch errors early.

## Return Value

All functions returns 0 on success and -1 on error.

## See Also

im_incheck(3) , `VIPS Library Programmers' Guide,' in accompanying documentation.

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso